File: doc/examples/svgdemo1.lhs

  A demonstration of the PcSet to Svg capability. You can build the svg
  files in this directory using 'make svg'.


Simplest case: a standard, well known pitch class set.

> import qualified Data.PcSets as P
> import qualified Data.PcSets.Svg as S

The C Major Scale is a standard pitch class set: seven tones in 12-TET
(modulus 12).

> cMajor :: P.StdSet
> cMajor = P.stdset [0,2,4,5,7,9,11]

The Data.PcSets.Svg module generates the *contents* of the .svg file as a
string. It's up to you to print this string to stdout or save it as a file
directly.

> main :: IO ()
> main = putStrLn $ S.pcSvg cMajor

---
This file is part of gpcsets: Pitch Class Sets for Haskell
Copyright 2009 by Bruce H. McCosar.
Distributed under a BSD3 license; see the file 'LICENSE' for details.
